Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
smallarticlelist.php File Reference

Go to the source code of this file.

## Functions
| createSmallArticleList ( $generateStaticPage=false, $menuCachedFile=false, $ini=null, $Language=null, $GlobalSiteDesign=null, $GlobalSectionID=null, $CategoryID=null, $Offset=null, $Limit=null, $noItem=null, $DefaultLinkText=null)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $ImageDir = $ini->variable( "eZArticleMain", "ImageDir" )
| $CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )
| $DefaultLinkText = $ini->variable( "eZArticleMain", "DefaultLinkText" )
| $PageCaching = $ini->variable( "eZArticleMain", "PageCaching" )
if( $PageCaching=="enabled") | else

## Function Documentation

## ◆ createSmallArticleList()

createSmallArticleList | ( |  | $generateStaticPage = `false`,
|  |  | $menuCachedFile = `false`,
|  |  | $ini = `null`,
|  |  | $Language = `null`,
|  |  | $GlobalSiteDesign = `null`,
|  |  | $GlobalSectionID = `null`,
|  |  | $CategoryID = `null`,
|  |  | $Offset = `null`,
|  |  | $Limit = `null`,
|  |  | $noItem = `null`,
|  |  | $DefaultLinkText = `null`
| ) |  |

Definition at line 63 of file smallarticlelist.php.

References $article, $articleList, $category, $CategoryID, $contents, $DefaultLinkText, $fp, $GlobalSiteDesign, $i, $ini, $Language, $Limit, $locale, $Offset, $output, $renderer, $t, and eZPBFile\fopen().

## Variable Documentation

## ◆ $CapitalizeHeadlines

$CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )

Definition at line 39 of file smallarticlelist.php.

## ◆ $DefaultLinkText

$DefaultLinkText = $ini->variable( "eZArticleMain", "DefaultLinkText" )

Definition at line 40 of file smallarticlelist.php.

Referenced by createSmallArticleList().

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZArticleMain", "ImageDir" )

Definition at line 38 of file smallarticlelist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 35 of file smallarticlelist.php.

Referenced by createSmallArticleList().

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 37 of file smallarticlelist.php.

Referenced by createSmallArticleList().

## ◆ $PageCaching

$PageCaching = $ini->variable( "eZArticleMain", "PageCaching" )

Definition at line 41 of file smallarticlelist.php.

## ◆ else

if ($PageCaching=="enabled") else

Initial value:
{
createSmallArticleList(false, false, $ini, $Language, $GlobalSiteDesign, $GlobalSectionID, $CategoryID, $Offset, $Limit, $noItem, $DefaultLinkText )
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
$GlobalSectionID
$GlobalSectionID
Definition: ezad/user/datasupplier.php:28
$Limit
$Limit
Definition: ezarticle/admin/categorylist.php:66
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$GlobalSiteDesign
global $GlobalSiteDesign
Definition: latestmessages.php:52
createSmallArticleList
createSmallArticleList( $generateStaticPage=false, $menuCachedFile=false, $ini=null, $Language=null, $GlobalSiteDesign=null, $GlobalSectionID=null, $CategoryID=null, $Offset=null, $Limit=null, $noItem=null, $DefaultLinkText=null)
Definition: smallarticlelist.php:63
$Language
$Language
Definition: smallarticlelist.php:37
$ini
$ini
Definition: smallarticlelist.php:35
$DefaultLinkText
$DefaultLinkText
Definition: smallarticlelist.php:40
$noItem
$noItem
Definition: user/pollist.php:36

Definition at line 58 of file smallarticlelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.